import java.util.Scanner;

public class TablaDeOperadores
{
  public static void main(String args[])
  {
    Scanner teclado=new Scanner(System.in);
    
    System.out.println(" Tabla de Operadores");
    System.out.print("Operador  [1=+ 2=- 3=* 4=/ 5=%  0=Salir: ");
    int operador= teclado.nextInt();
    
    
      if ( operador==0)
        System.out.println();
      
      while(operador!=0)
      {  
        System.out.print("Ingrese un valor mínimo :  ");
        double min= teclado.nextDouble();
        
        System.out.print("Ingrese un valor máximo: ");
        double max= teclado.nextDouble();
        
        System.out.print("Incremento: ");
        double incremento=teclado.nextDouble();
        
        
        if (incremento<=0)
        {
          System.err.println("Ingrese un incremento direrente de cero");
          System.out.print("Incremento: ");
          incremento=teclado.nextDouble();
        }
        else if(incremento>=1)
        {
        switch (operador)
        {
          
          case 1:
            System.out.print( " + |");
            
            for ( double i= min; i <=max; i=i+incremento)
            {
              System.out.printf(i +  "  ");
            }
            
            System.out.println();
            
            for(double columna = min; columna <= max; columna = columna + incremento)
            {
              for (double fila = min; fila <= max; fila = fila + incremento)
                
                System.out.print((columna + fila) + " ");
              System.out.println();
              
            }
            
            break;
            
          case 2:
            System.out.print( " - |");
            for (double i2 = min; i2<=max; i2=i2+incremento)
            {
              System.out.print(i2 + " ");
            }
            System.out.println();
            
            
            for(double columna = min; columna <= max; columna = columna + incremento)
            {
              for (double fila = min; fila <= max; fila = fila + incremento)
                
                System.out.print((columna - fila) + " ");
              System.out.println();
            }
            
            break;
            
          case 3:
            
            System.out.print( " * |");
            for (double i3 = min; i3<=max; i3 =i3+incremento)
            {
              System.out.print(i3 + " ");
            }
            System.out.println();
            
            for(double columna = min; columna <= max; columna = columna + incremento)
            {
              for (double fila = min; fila <= max; fila = fila + incremento)
                
                System.out.print((fila * columna) + " ");
              System.out.println();
            } 
            break;
            
          case 4:
            
            System.out.print( " / |");
            for (double i4 = min; i4<=max; i4=i4+incremento)
            {
              
              System.out.print(i4 + " ");
              
            }
            System.out.println();
            
            
            for(double columna = min; columna <= max; columna = columna + incremento)
            {
              for (double fila = min; fila <= max; fila = fila + incremento)
                
                System.out.print((columna / fila) + " ");
              System.out.println();
              
            }
            break;
          case 5:
            
            System.out.print( " % |");
            for (double i5 = min; i5<=max; i5 =i5+incremento)
            {
              
              System.out.print(i5 + " ");
              
            }
            System.out.println();
            
            
            for(double columna = min; columna <= max; columna = columna + incremento)
            {
              for (double fila = min; fila <= max; fila = fila + incremento)
                
                System.out.print((columna % fila) + " ");
              System.out.println();
              
            }  
        }
        }
        
        System.out.println();
        
        System.out.print("Operador  [1=+ 2=- 3=* 4=/ 5=%  0=Salir: ");
        operador=teclado.nextInt();
        
        System.out.print("Ingrese un valor mínimo :  ");
        min=teclado.nextDouble();
        
        System.out.print("Ingrese un valor máximo: ");
        max=teclado.nextDouble();
        
        System.out.print("Incremento: ");
        incremento=teclado.nextDouble();
        
        
        
      }     
      
    }     
    
    
    
  }


